libmagick++-6.q16-8_6.9.10.23+dfsg-2.1_amd64.deb


Advertisement

Description

libmagick++-6.q16-8 - C++ interface to ImageMagick -- quantum depth Q16

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libmagick++-6.q16-8_6.9.10.23+dfsg-2.1_amd64.deb
Package name libmagick++-6.q16-8
Package version 6.9.10.23+dfsg
Package release 2.1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://www.imagemagick.org/
License -
Maintainer ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
Download size 268.14 KB
Installed size 774.00 KB
The Magick++ library is a set of C++ wrapper classes that provides access
to the ImageMagick package functionality from within a C++ application.
This package contains the C++ libraries needed to run executables that make
use of libMagick++.
This version of libmagick++ is compiled for a channel
depth of 16 bits (Q16).

Alternatives

Package Version Architecture Repository
libmagick++-6.q16-8_6.9.10.23+dfsg-2.1_i386.deb 6.9.10.23+dfsg i386 Debian Main
libmagick++-6.q16-8 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libmagickcore-6.q16-6 >= 8:6.9.10.2
libmagickwand-6.q16-6 >= 8:6.9.10.2
libstdc++6 >= 5.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmagick++-6.q16-8_6.9.10.23+dfsg-2.1_amd64.deb
Source Package imagemagick

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmagick++-6.q16-8 deb package:
    # sudo apt-get install libmagick++-6.q16-8

Files

Path
/usr/lib/x86_64-linux-gnu/libMagick++-6.Q16.so.8
/usr/lib/x86_64-linux-gnu/libMagick++-6.Q16.so.8.0.0
/usr/share/bug/libmagick++-6.q16-8
/usr/share/doc/libmagick++-6.q16-8/NEWS.Debian.gz
/usr/share/doc/libmagick++-6.q16-8/changelog.Debian.gz
/usr/share/doc/libmagick++-6.q16-8/changelog.gz
/usr/share/doc/libmagick++-6.q16-8/copyright

Changelog

2019-05-03 - Salvatore Bonaccorso <carnil@debian.org>
imagemagick (8:6.9.10.23+dfsg-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Stack-based buffer overflow in function PopHexPixel in coders/ps.c
(CVE-2019-9956) (Closes: #925395)
* Heap-buffer-overflow in WriteTIFFImage of coders/tiff.c (CVE-2019-10650)
(Closes: #926091)
2019-01-08 - Bastien Roucariès <rouca@debian.org>
imagemagick (8:6.9.10.23+dfsg-2) unstable; urgency=medium
* Bug fix: "identify 6.9.10-23 does not convert units (pixels per
cm/in)", thanks to Cédric Boutillier (Closes: #918642).
2019-01-06 - Bastien Roucariès <rouca@debian.org>
imagemagick (8:6.9.10.23+dfsg-1) unstable; urgency=high
* Bug fix: "Silent ABI break in 6.9.10-11 on i386", thanks to Balint
Reczey (Closes: #916839).
* Fix CVE-2018-20467: infinite loop for malformed BMP file
(Closes: #917326).
* Enable HEIF/HEIC image format support (Closes: #914120).
* Enable WEBP image format (Closes: #806425, #912777)
2018-11-04 - Bastien Roucariès <rouca@debian.org>
imagemagick (8:6.9.10.14+dfsg-7) unstable; urgency=medium
* Bug fix: "wrong Provides: libmagickcore-6.defaultquantum-dev,
libmagickcore-dev (= 8:6.9.10.14+dfsg-5)", thanks to Helmut Grohne
(Closes: #912833).
2018-11-04 - Bastien Roucariès <rouca@debian.org>
imagemagick (8:6.9.10.14+dfsg-6) unstable; urgency=high
* Bug fix: "libmagickcore-6.q16-dev missing Depends:
libmagickcore-6-arch-config", thanks to Helmut Grohne (Closes:
#912679).
2018-11-01 - Bastien Roucariès <rouca@debian.org>
imagemagick (8:6.9.10.14+dfsg-5) unstable; urgency=high
* Use jdupes instead of rdfind in order to avoid link to build dir
* Bug fix: "Please remove me from uploaders", thanks to Vincent Fourmond
(Closes: #897293).
* Bump policy (no changes)
2018-10-31 - Bastien Roucariès <rouca@debian.org>
imagemagick (8:6.9.10.14+dfsg-4) unstable; urgency=medium
* Use salsa in control
* Add Pre-depends on dpkg for versioned provides
* Bug fix: "make foreign dependencies on transitional -dev packages
satisfiable", thanks to Helmut Grohne (Closes: #893030).
2018-10-30 - Bastien Roucariès <rouca@debian.org>
imagemagick (8:6.9.10.14+dfsg-3) unstable; urgency=medium
* Fix FTBFS due to == in control.
2018-10-30 - Bastien Roucariès <rouca@debian.org>
imagemagick (8:6.9.10.14+dfsg-2) unstable; urgency=medium
* Bug fix: "imagemagick binary-all FTBFS: rdfind: Command not found",
thanks to Adrian Bunk (Closes: #912309).
* Use ${binary:Version} instead of hard coded version for compat dev
packages.

See Also

Package Description
libmagick++-6.q16-dev_6.9.10.23+dfsg-2.1_amd64.deb C++ interface to ImageMagick - development files (Q16)
libmagick++-6.q16hdri-8_6.9.10.23+dfsg-2.1_amd64.deb C++ interface to ImageMagick -- quantum depth Q16HDRI
libmagick++-6.q16hdri-dev_6.9.10.23+dfsg-2.1_amd64.deb C++ interface to ImageMagick - development files (Q16HDRI)
libmagick++-dev_6.9.10.23+dfsg-2.1_all.deb object-oriented C++ interface to ImageMagick -- dummy package
libmagickcore-6-arch-config_6.9.10.23+dfsg-2.1_amd64.deb low-level image manipulation library - architecture header files
libmagickcore-6-headers_6.9.10.23+dfsg-2.1_all.deb low-level image manipulation library - header files
libmagickcore-6.q16-6-extra_6.9.10.23+dfsg-2.1_amd64.deb low-level image manipulation library - extra codecs (Q16)
libmagickcore-6.q16-6_6.9.10.23+dfsg-2.1_amd64.deb low-level image manipulation library -- quantum depth Q16
libmagickcore-6.q16-dev_6.9.10.23+dfsg-2.1_amd64.deb low-level image manipulation library - development files (Q16)
libmagickcore-6.q16hdri-6-extra_6.9.10.23+dfsg-2.1_amd64.deb low-level image manipulation library - extra codecs (Q16HDRI)
libmagickcore-6.q16hdri-6_6.9.10.23+dfsg-2.1_amd64.deb low-level image manipulation library -- quantum depth Q16HDRI
libmagickcore-6.q16hdri-dev_6.9.10.23+dfsg-2.1_amd64.deb low-level image manipulation library - development files (Q16HDRI)
libmagickcore-dev_6.9.10.23+dfsg-2.1_all.deb low-level image manipulation library -- dummy package
libmagickwand-6-headers_6.9.10.23+dfsg-2.1_all.deb image manipulation library - headers files
libmagickwand-6.q16-6_6.9.10.23+dfsg-2.1_amd64.deb image manipulation library -- quantum depth Q16
Advertisement
Advertisement